@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Poltawski+Nowy:ital,wght@0,400..700;1,400..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&family=Strichpunkt+Sans:wght@400..900&display=swap');

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}


::-webkit-scrollbar{
    width:0;
}
body{
    font-family:"Poppins", sans-serif;
    min-height:100vh;
    color:#2e2e2e;
    display:flex;
    align-items:center;
    justify-content:center;
     background-color:#fff;
}

.wrapper{
    position:relative;
    height:100vh;
    width:100%;
    overflow:hidden;
    padding:30px 9px;
    display:flex;

}

@media (max-width:768px){
    .wrapper{
        height:50rem;
        width:25rem;
        border-radius:40px;
        border:10px solid #2e2e2e;
    }
}




.screen-backdrop{
    width:135%;
    height:25rem;
    position:absolute;
    top:0;
    left:50%;
    transform:translateX(-50%);
    border-radius:0 0 50% 50%;
    background-color:#bdd8e7;
    z-index:-1;
    transition:all 0.3s;
}



.wrapper .screen{
    flex:1;
    min-width:100%;
    transition:all 0.3s;
}


.wrapper.show-category .home-screen{
    transform:translateX(-100%);
}

.wrapper.show-category .category-screen{
transform:translateX(-100%);
}

.wrapper.show-category .screen-backdrop{
    transform:translate(-50%, -60%);
}



.head-wrapper{
    padding:0 25px;
    display:flex;
    align-items:center;
    gap:2.2rem;
}


.dark-mode-btn{
    font-size:2rem;
    cursor:pointer;
    color:#2e2e2e;
}


.wrapper.dark .screen-backdrop{
    background-color:#1a1a2e;
}


.wrapper.dark{

    background-color:#1d2633;
    color:white;
}

.wrapper.dark .menu-btn{
    color:#fff;
}


.wrapper.dark .categories .category{
    background-color:#b4c6db;
    color:#fff;
    
}


.wrapper.dark .add-task-backdrop{
    background-color:#384057;
}


.wrapper.dark .input-group input,
.wrapper-dark .input-group select{
    background-color:#a7b1bb;
    color:#fff;

}

.wrapper.dark .back-btn i{
    color:#fff;
}






.menu-btn{
    width:2rem;
    cursor:pointer;
    color:#2e2e2e;
}

.welcome{
    display:flex;
    justify-content:space-between;
    margin-top:20px;
}

.welcom h1{
    font-size:1.5rem;
}

.welcome p{
    font-weight:500;
}


.welcome .img{
    position:relative;

}


.welcome .img img{
    width:5rem;
}


.welcome .img .backdrop {
    position:absolute;
    top:0;
    left:50%;
    transform:translateX(-50%);
    width:3.7rem;
    height:4rem;
    border-radius:50%;
    background-color:#fdfbe5;
    z-index:-1;
}


.categories-wrapper{
    margin-top:1rem;
    height:calc(100% - 7rem);
    padding:0 30px;
    padding-bottom:20px;
    overflow:auto;
}

.categories{
    padding-top:1rem;
    display:flex;
    flex-direction:column;
    gap:1.3rem;
}


.categories .category{
    background-color:white;
    border-radius:0.6rem;
    padding:1.5rem 1rem;
    cursor:pointer;
    display:flex;
    justify-content:space-between;
    box-shadow:0 10px 20px 5px #0000002e;
    transition:all 0.3s;

}

.categories .category:hover{
    transform:translateY(-5px);
    box-shadow:0 10px 20px 5px #00000062;
}

.category .left{
    display:flex;
    gap:1.5rem;
    align-items:center;
}

.category .left img{
    width:3rem;
}

.category .content h1{
    font-size:1.6rem;
}

.category .content p{
    color:#2e2e2e;
    font-size:1rem;
    opacity:0.6;
}

.category .options{
    opacity:0;
    visibility:hidden;
    transition:all 0.3s;
}

.category:hover .options{
    opacity:1;
    visibility:visible;
}

.category .toggle-btn{
    cursor:pointer;
    width:2rem;
    opacity:0.6;
}


.category-screen .head-wrapper{
display:flex;
justify-content:space-between;
align-items:center;
}

.category-screen .back-btn i{
    width:2rem;
    cursor:pointer;
    color:#333;
}

.category-details{
    padding:0 30px;
    margin-top:7rem;
    display:flex;
    align-items:center;
    gap:1rem;
}

.category-details img{
    width:4rem;
}

.category-detalis p{
opacity:0.4;
}




.tasks-wrapper{
    padding:0 30px;
    margin-top:1rem;
    height:calc(100% - 12rem);
    padding-bottom:20px;
    overflow:auto;
}

.tasks{
    padding-top:1rem;
    display:flex;
    flex-direction:column;
    gap:1rem;
}

.task-wrapper{
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.task{
    display:flex;
    gap:0.5rem;
    align-items:center;
    font-size:0.8rem;
    font-weight:500;
    width:max-content;
    cursor:pointer;
}


.task input{
    display:none;
}

.task .checkmark{
    width:1rem;
    height:1rem;
    border-radius:2px;
    border:1px solid #2e2e2e;
    display:flex;
    align-items:center;
    justify-content:center;
    align-items:center;

}

.task .checkmark svg{
    width:1rem;
    color:#2e2e2e;
    opacity:0;
    transition:all 0.3s;

}


.task:hover .checkmark svg{
    opacity:1;

}

.task .checkmark svg path{
    stroke-width:3;
}

.task input:checked~.checkmark {
background-color:#2e2e2e;
}

.task input:checked~.checkmark svg {
    opacity:1;
    color:#fff;
}


.task input:checked~p{
    text-decoration:line-through;
    opacity:0.6;

}

.task-wrapper .delete{
min-width:2rem;
height:2rem;
padding:0.5rem;
border-radius:50%;
cursor:pointer;
opacity:0;
visibility:hidden;
transition:all 0.3s;
}


.task-wrapper:hover .delete{
    visibility:visible;
    opacity:1;
}

.task-wrapper .delete:hover{
    background-color:rgba(0, 0, 0,  0.1);
    color:#b23a48;
}

.add-task-btn{
    position:absolute;
    bottom:1rem;
    right:1rem;
    width:3rem;
    height:3rem;
    border-radius:50%;
    font-size:1.6rem;
    background-color:#bdd8e7;
    display:flex;
    align-items:center;
    justify-content:center;
    cursor:pointer;
    transition:all 0.3s;
}

.add-task-btn.active{
    z-index:1;
    bottom:20rem;
    transform:rotate(45deg);
}

.add-task-btn:hover{
    transform:scale(1.1);
}

.add-task-btn i{
   
    color:#2e2e2e;
}

.add-task{
    position:absolute;
    left:0;
    width:100%;
    padding:20px 30px;
    bottom:-100%;
    transition:all 0.3s;
}

.add-task.active{
    bottom:0;
}

.add-task .heading{
    font-size:1.5rem;
    margin-bottom:1rem;
}

.input-group{
    position:relative;
    margin-bottom:20px;
}

.input-group input,
.input-group label{
    display:block;
    width:100%;
}

.input-group input,
.input-group select{
    width:100%;
    border-radius:5px;
    border:1px solid #ccc;
    padding:10px;
    font-size:16px;
}


.input-group label{
    width:max-content;
    padding:0 5px;
    margin-top:5px;
    font-size:14px;
    color:#666;
    margin-bottom:5px;
}

.btn{
    display:flex;
    gap:1rem;
    justify-content:flex-end;
    align-items:center;

}

.btn button{
    padding:10px 20px;
    border-radius:5px;
    border:none;
    outline:none;
    font-weight:600;
    cursor:pointer;
    z-index:2;
}

.btn button.add-btn{

    background-color:#a3b8c4;
    color:#2e2e2e;
}

.add-task-backdrop{
    position:absolute;
    bottom:0;
    left:50%;
    transform:translateX(-50%);
    width:135%;
    height:20rem;
    border-radius:50% 50% 0 0 ;
    background-color:#fff;
 
}


.black-backdrop{
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    backdrop-filter:blur(5px);
    background-color:#00000023;
    opacity:0;
    visibility:hidden;
    transition:all 0.3s;

}

.black-backdrop.active{
    opacity:1;
    visibility:visible;
}

.no-task{
    margin-top:5rem;
    text-align:center;
    font-size:1.5rem;
    opacity:0.6;
}

.footer{
    text-align:center;
    margin-top:2.1rem;
    font-size:1rem;
}

.ftr-txt{
    font-size:1.3rem;
}

.fa-brands.fa-github{
    font-size:1.7rem;
    color:black;
}

